Main Page Widgets Namespaces Book

# Atk::ObjectAccessible Class Reference

Inheritance diagram for Atk::ObjectAccessible:

[legend]
List of all members.

## Public Member Functions
virtual | ~ObjectAccessible ()
AtkGObjectAccessible* | gobj ()
| Provides access to the underlying C GObject.
const AtkGObjectAccessible* | gobj () const
| Provides access to the underlying C GObject.
AtkGObjectAccessible* | gobj_copy ()
## Protected Member Functions
Glib::RefPtr<Glib::Object> | get_object ()
| Gets the GObject for which obj is the accessible object.
Glib::RefPtr<const Glib::Object> | get_object () const
| Gets the GObject for which obj is the accessible object.
## Static Protected Member Functions
Glib::RefPtr<Atk::Object> | for_object (const Glib::RefPtr<Glib::Object>& obj)
| Gets the accessible object for the specified obj .
Glib::RefPtr<const Atk::Object> | for_object (const Glib::RefPtr<const Glib::Object>& obj)
| Gets the accessible object for the specified obj .
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr<Atk::ObjectAccessible> | wrap (AtkGObjectAccessible* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Atk::ObjectAccessible::~ObjectAccessible | ( |  | ) | `[virtual]`

## Member Function Documentation

Glib::RefPtr<const Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr<const Glib::Object>& | obj | ) | `[static, protected]`

  | Gets the accessible object for the specified obj . Parameters:
  obj | A G::Object.
Returns: A Atk::Object which is the accessible object for the obj .

Glib::RefPtr<Atk::Object> Atk::ObjectAccessible::for_object | ( | const Glib::RefPtr<Glib::Object>& | obj | ) | `[static, protected]`

  | Gets the accessible object for the specified obj . Parameters:
  obj | A G::Object.
Returns: A Atk::Object which is the accessible object for the obj .

Glib::RefPtr<const Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) | const`[protected]`

| Gets the GObject for which obj is the accessible object. Returns: A G::Object which is the object for which obj is the accessible objedct.

Glib::RefPtr<Glib::Object> Atk::ObjectAccessible::get_object | ( |  | ) | `[protected]`

| Gets the GObject for which obj is the accessible object. Returns: A G::Object which is the object for which obj is the accessible objedct.

const AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Object.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Atk::Object.

AtkGObjectAccessible* Atk::ObjectAccessible::gobj_copy | ( |  | ) |

| Reimplemented from Atk::Object.

## Friends And Related Function Documentation

Glib::RefPtr<Atk::ObjectAccessible> wrap | ( | AtkGObjectAccessible* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- objectaccessible.h